package com.miya.fastcashier.log

import java.io.File
import java.io.FileFilter

/**
 * 作者：Leon
 * 时间：2017/3/24 13:43
 */
class LFileFilter(private val mTypes: Array<String>?) : FileFilter {

    override fun accept(file: File): Boolean {
        if (file.isDirectory) {
            return true
        }
        if (mTypes != null && mTypes.size > 0) {
            for (i in mTypes.indices) {
                if (file.name.endsWith(mTypes[i].toLowerCase()) || file.name.endsWith(mTypes[i].toUpperCase())) {
                    return true
                }
            }
        } else {
            return true
        }
        return false
    }
}